#include "myTerrainTechnique.h"
#include <osgTerrain/TerrainTile>

using namespace osgTerrain;

myTerrainTechnique::myTerrainTechnique(void)
{
	OSG_ALWAYS<<className()<<"Constructed by Constructor"<<std::endl;
}

myTerrainTechnique::myTerrainTechnique(const TerrainTechnique& TerrainTechnique,const osg::CopyOp& copyop):
	osgTerrain::TerrainTechnique(TerrainTechnique,copyop)
{
	OSG_ALWAYS<<className()<<"Constructed by Copy-Constructor"<<std::endl;
}

myTerrainTechnique::~myTerrainTechnique(void)
{
}

void myTerrainTechnique::update(osgUtil::UpdateVisitor* uv)
{
    OSG_ALWAYS<<className()<<"::update(..) not implementated yet"<<std::endl;

	if (_terrainTile)
	{
		//_terrainTile->getElevationLayer()->set
		_terrainTile->osg::Group::traverse(*uv);
	}
}
